Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.net
Class RFC822Head

    java.lang.Object
      com.mindbright.net.RFC822Head

public class RFC822Head
extends java.lang.Object

Constructor Summary
`RFC822Head()`
`RFC822Head(java.io.InputStream in)`
`RFC822Head(java.lang.String head)`

Method Summary
`static java.lang.String` | `extractParamValue(java.lang.String line, java.lang.String paramName)`
`java.lang.String` | `getHeaderField(java.lang.String headerName)`
`java.util.Enumeration` | `getHeaderFieldNames()`
`java.util.Hashtable` | `getHeaderFields()`
`void` | `setHeaderField(java.lang.String headerName, java.lang.String value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RFC822Head

    public RFC822Head()

### RFC822Head

    public RFC822Head(java.lang.String head)
               throws java.io.IOException

### RFC822Head

    public RFC822Head(java.io.InputStream in)
               throws java.io.IOException

Method Detail

### getHeaderFields

    public java.util.Hashtable getHeaderFields()

### getHeaderFieldNames

    public java.util.Enumeration getHeaderFieldNames()

### getHeaderField

    public java.lang.String getHeaderField(java.lang.String headerName)

### setHeaderField

    public void setHeaderField(java.lang.String headerName,
                               java.lang.String value)

### toString

    public java.lang.String toString()

### extractParamValue

    public static java.lang.String extractParamValue(java.lang.String line,
                                                     java.lang.String paramName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD